BEGIN dggERGl //Class(Player1, PALADIN), etc etc

//////////////////////////////////
//glyphscribe dialogue
/////////////////////////////////

IF ~Global("ggERMQstep", "Global", 10) ~ THEN BEGIN 0
	SAY ~Yes, hello? Is there something I can do for you?~
	+~PartyHasItem("GGERDoc2")~+ ~I have some encoded documents. I was wondering if you could decode them.~ GOTO 1
	+~!PartyHasItem("GGERDoc2")~+ ~I have some encoded documents. I was wondering if you could decode them.~ GOTO 2
END

IF ~~ THEN BEGIN 1
	SAY ~I can certainly take a look. Let me see those... Hm... yes, I can likely do this, but it'll take me some time. Come back later.~
IF ~~ THEN DO ~
	AddJournalEntry(@5109, QUEST) TakePartyItem("GGERDoc2") SetGlobal("ggERMQstep", "Global", 11) ~ EXIT
END

IF ~~ THEN BEGIN 2
	SAY ~Where are they? I can't decode documents that you can't show me.~ IF ~~ THEN EXIT
END

IF ~Global("ggERMQstep", "Global", 11) ~ THEN BEGIN 5
	SAY ~I told you that it would take me some time. Come back later.~ IF ~~ THEN EXIT
END